Subject: [Pce] Adopting draft-crabbe-pce-stateful-pce-02 as a PCE WG document

From: JP Vasseur <[email-masked]>
Date: Thu, 2 Feb 2012 09:14:04 +0100

Dear all,

This document has been presented twice and certainly still deserves more discussion, but it seems that there is enough interest to poll the Working Group
for WG adoption. Please let us know by Feb 19th noon ET, whether you are in favor/opposed of adopting draft-crabbe-pce-stateful-pce as a WG document.

JP and Julien.

JP.

---

From: "Adrian Farrel" <[email-masked]>
Date: Thu, 2 Feb 2012 17:06:29 -0000

With AD hat very clearly*off*, but as someone who cares a lot about PCE...

Yes, I think this work is in scope, fits into the architecture, and is of
interest. It should be adopted.

I think that the substance of the discussion that the WG needs to have as this
I-D moves forward needs to be around the specific use case and the impact of the
state on the operational aspects of the PCE and the network. We have previously
found that scoping the PCE work to well-understood and contained problem spaces
(while keeping one eye on extensibility and future potential) has made our work
concrete and functional. This I-D certainly sets out a case for a specific
application. I also the way the current draft puts some into scoping the amount
of state and the rate of churn. 

Cheers,
Adrian

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of JP
> Vasseur
> Sent: 02 February 2012 08:14
> To: [email-masked]
> Subject: [Pce] Adopting draft-crabbe-pce-stateful-pce-02 as a PCE WG document
> 
> Dear all,
> 
> This document has been presented twice and certainly still deserves more
> discussion, but it seems that there is enough interest to poll the Working
Group
> for WG adoption. Please let us know by Feb 19th noon ET, whether you are in
> favor/opposed of adopting draft-crabbe-pce-stateful-pce as a WG document.
> 
> JP and Julien.
> 
> JP.
> _______________________________________________
> Pce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pce

---

From: Ramon Casellas <[email-masked]>
Date: Thu, 02 Feb 2012 19:28:28 +0100

> for WG adoption. Please let us know by Feb 19th noon ET, whether you are in favor/opposed of adopting draft-crabbe-pce-stateful-pce as a WG document.

Dear PCErs

I share Adrian's comments. The stateless PCE as a functional component 
of a control plane is well understood and I think that, in view of 
potential &  new use cases such as software defined networks/openflow 
and other control & management schemes, there is room to take the PCE a 
step further, not necessarily tied to a GMPLS control plane.

I cannot comment on the concrete, technical details of the draft itself 
yet, as I just read it globally (I plan to read it carefully when time 
permits, most surely before Paris).

To be clear, yes I support the adoption of the draft.

However, as a minor comment, the stateful PCE is briefly covered in 
RFC4655, and in more depth in sections 2-5 of crabbe's draft, but I 
wonder (I am really not sure myself) whether we would need to split it 
and consider first, a more detailed architecture, functional 
requirements/framework, use cases (i.e. no signaling, direct vertical 
configuration of the forwarding state) and architecture, and once agreed 
on those, propose protocol extensions.  Is the stateful PCE a wide 
enough topic to go this path? The draft seems to bundle a full solution 
:) -- I guess this is more an open question rather than a comment on the 
draft itself

Thanks
R.

-- 
Ramon Casellas, Ph.D.
Research Associate - Optical Networking Area -- http://wikiona.cttc.es
CTTC - Centre Tecnològic de Telecomunicacions de Catalunya, PMT Ed B4
Av. Carl Friedrich Gauss, 7 - 08860 Castelldefels (Barcelona) - Spain
Tel.: +34 93 645 29 00 -- Fax. +34 93 645 29 01

---

From: Zhangfatai <[email-masked]>
Date: Fri, 03 Feb 2012 07:48:09 +0000

Hi all,

I think "stateful PCE" is very interesting work and I would like to support this work move forward.

As Adrian pointed out that this I-D certainly sets out a case for a specific application, this I-D mainly focuses on the PCEP extensions for a specific application.

I would like to follow what Ramon said. 

We know that there were lots of arguments or doubts on stateful PCE when someone proposed to start stateful PCE (or related) work item before.

Therefore, I think we need to have a delicate document to describe the scenarios, applicability, requirements, and then identify the potential PCEP extensions requirements for stateful PCE. Lastly, we can have another protocol extensions document like this I-D to describe the PCEP extensions.

If the WG think that it is right time to adopt this draft, please count "yes" from me to support this adoption.

Thanks
 
Fatai

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Ramon Casellas
Sent: 2012年2月3日 2:28
To: [email-masked]
Subject: Re: [Pce] Adopting draft-crabbe-pce-stateful-pce-02 as a PCE WG document

Dear PCErs

Thanks
R.

---

From: [email-masked]
Date: Tue, 7 Feb 2012 10:03:20 +0800

+1

support

BTW, I remember that there is another draft addressing the requirements 
froming GMPLS, draft-tang-pce-stateful-pce-02.txt, maybe the usecases can 
be combined
together. Furthermore, do we need to recharter the scope of PCE WG to 
reflect the related work?

Best regards

Fei

JP Vasseur <[email-masked]> 
发件人:  [email-masked]
2012-02-02 16:14

收件人
[email-masked]
抄送

主题
[Pce] Adopting draft-crabbe-pce-stateful-pce-02 as a PCE WG document

Dear all,

This document has been presented twice and certainly still deserves more 
discussion, but it seems that there is enough interest to poll the Working 
Group
for WG adoption. Please let us know by Feb 19th noon ET, whether you are 
in favor/opposed of adopting draft-crabbe-pce-stateful-pce as a WG 
document.

JP and Julien.

JP.

---

From: "Cooper, Dave" <[email-masked]>
Date: Tue, 7 Feb 2012 07:22:47 +0000

Hi JP, 
I am in favor of WG adoption of this draft.

-dave

> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> JP Vasseur
> Sent: Thursday, February 02, 2012 12:14 AM
> To: [email-masked]
> This document has been presented twice and certainly still deserves
> more discussion, but it seems that there is enough interest to poll the
> Working Group for WG adoption. Please let us know by Feb 19th noon ET,
> whether you are in favor/opposed of adopting draft-crabbe-pce-stateful-
> pce as a WG document.
> 
> JP and Julien.
> 
> JP.

---

From: JP Vasseur <[email-masked]>
Date: Tue, 7 Feb 2012 08:25:03 +0100

Thanks - No stateful PCE is part of our charter as documented in RFC4655 Section 6.8.
Thanks.

JP.

On Feb 7, 2012, at 3:03 AM, [email-masked] wrote:

> 
> +1 
> 
> support 
> 
> BTW, I remember that there is another draft addressing the requirements froming GMPLS, draft-tang-pce-stateful-pce-02.txt, maybe the usecases can be combined 
> together. Furthermore, do we need to recharter the scope of PCE WG to reflect the related work? 
> 
> 
> Best regards 
> 
> Fei 
> 
>

---

From: JP Vasseur <[email-masked]>
Date: Tue, 7 Feb 2012 08:27:39 +0100

JP.

---

From: Leeyoung <[email-masked]>
Date: Tue, 7 Feb 2012 17:28:39 +0000

Hi, 

I support this work. And there are a few of things that I'd like to add. 

1. When we re-charter, I'd like the WG to consider the "north-bound" PCE interface that would enable communication with "Application" layer. This may be a deviation from the current PCE, but I think it may be worthwhile to explore this option in the PCE WG. This would make the stateful PCE use case more applicable to the real need to enable application interaction with TE networks. Dhrov and I are working on a draft along this line and should be available shortly. 

2. I share the sentiment with Ramon and Fatai. The current draft is a solution draft. What needs to be complemented on top of the current writing is motivation, high-level architecture, use cases at the minimum. This can be a separate document or included in the current draft although I prefer the former. 

3. The current draft talks about time-based scheduling capability. I think this make a PCE really powerful. Architecturally, there needs to be a bit clearer discussion as to how this would be different from NMS. 

Thanks.
Young

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of JP Vasseur
Sent: Thursday, February 02, 2012 2:14 AM
To: [email-masked]
Subject: [Pce] Adopting draft-crabbe-pce-stateful-pce-02 as a PCE WG document

Dear all,

JP and Julien.

JP.

---

From: Igor Gashinsky <[email-masked]>
Date: Tue, 7 Feb 2012 15:42:25 -0800 (PST)

+1

Thanks,
-igor

On Mon, 6 Feb 2012, Cooper, Dave wrote:

:: Hi JP, 
:: I am in favor of WG adoption of this draft.
:: 
:: -dave
:: 
:: > -----Original Message-----
:: > From: [email-masked] [mailto:[email-masked]] On Behalf Of
:: > JP Vasseur
:: > Sent: Thursday, February 02, 2012 12:14 AM
:: > To: [email-masked]
:: > Subject: [Pce] Adopting draft-crabbe-pce-stateful-pce-02 as a PCE WG
:: > document
:: > 
:: > Dear all,
:: > 
:: > This document has been presented twice and certainly still deserves
:: > more discussion, but it seems that there is enough interest to poll the
:: > Working Group for WG adoption. Please let us know by Feb 19th noon ET,
:: > whether you are in favor/opposed of adopting draft-crabbe-pce-stateful-
:: > pce as a WG document.
:: > 
:: > JP and Julien.
:: > 
:: > JP.
:: > _______________________________________________
:: > Pce mailing list
:: > [email-masked]
:: > https://www.ietf.org/mailman/listinfo/pce
:: _______________________________________________
:: Pce mailing list
:: [email-masked]
:: https://www.ietf.org/mailman/listinfo/pce
:: 

--------------------+----------------------+------------------
   Igor Gashinsky   | Network Architecture | Yahoo! Inc.
 [email-masked] |  cell 917.807.2213   | Do You... Yahoo?
--------------------+----------------------+------------------

---

From: Dhruv Dhody <[email-masked]>
Date: Wed, 08 Feb 2012 12:21:02 +0530

Hi All, 

Support this work! 
And I second the need for clear architecture and requirements drafts. 

Regards,
Dhruv

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Leeyoung
Sent: Tuesday, February 07, 2012 10:59 PM
To: JP Vasseur; [email-masked]
Subject: Re: [Pce] Adopting draft-crabbe-pce-stateful-pce-02 as a PCE WG
document

Hi, 

1. When we re-charter, I'd like the WG to consider the "north-bound" PCE
interface that would enable communication with "Application" layer. This may
be a deviation from the current PCE, but I think it may be worthwhile to
explore this option in the PCE WG. This would make the stateful PCE use case
more applicable to the real need to enable application interaction with TE
networks. Dhrov and I are working on a draft along this line and should be
available shortly. 

2. I share the sentiment with Ramon and Fatai. The current draft is a
solution draft. What needs to be complemented on top of the current writing
is motivation, high-level architecture, use cases at the minimum. This can
be a separate document or included in the current draft although I prefer
the former. 

3. The current draft talks about time-based scheduling capability. I think
this make a PCE really powerful. Architecturally, there needs to be a bit
clearer discussion as to how this would be different from NMS. 

Thanks.
Young

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of JP
Vasseur
Sent: Thursday, February 02, 2012 2:14 AM
To: [email-masked]
Subject: [Pce] Adopting draft-crabbe-pce-stateful-pce-02 as a PCE WG
document

Dear all,

JP and Julien.

JP.

---

From: Robert Raszuk <[email-masked]>
Date: Wed, 08 Feb 2012 10:04:28 +0100

Support.

Thx,
Robert.

---

From: Oscar González de Dios <[email-masked]>
Date: Wed, 08 Feb 2012 11:47:17 +0100

Hi all PCErs,

        I also support the work in draft-crabbe-pce-stateful-pce-02 and share the main concerns. Although I do support the work, I think we should start scoping the stateful PCE, looking at the architecture, application scenarios and use cases from a broad perspective, with many inputs from service providers, vendors and data center users (which are having more and more network needs). This draft is a very particular interesting solution, suited for some specific cases, but by no means the basis of the stateful PCE. Furthermore, it looks weird to have a WG stateful PCE document without being the stateful PCE in the charter.

        Thus, if everybody thinks that PCE is mature enough to start entering into more complex stuff, let's start building the basis of the stateful PCE. And then, have solutions for the different environments/use cases.

        Óscar

Este mensaje se dirige exclusivamente a su destinatario. Puede consultar nuestra política de envío y recepción de correo electrónico en el enlace situado más abajo.
This message is intended exclusively for its addressee. We only send and receive email on the basis of the terms set out at
http://www.tid.es/ES/PAGINAS/disclaimer.aspx

---

From: Julien Meuric <[email-masked]>
Date: Thu, 09 Feb 2012 14:40:22 +0100

Oscar (and others),

Your point is not clear to me. On the one hand, I understand you support 
having some work on stateful PCE, hence adding it to our charter. On the 
other hand, the current question is *not* on a charter update, but on 
adopting a particular I-D as a PCE WG document.
Therefore, could elaborate on where you are standing? "Interesting 
solution, suited for some specific cases"  or "by no means the basis of 
the stateful PCE"?

Moreover, be aware that tackling stateful PCE does not imply addressing 
the full stateful PCE problem space. Note that the proposed draft comes 
with a contained scope. Trying to widen our charter too much (e.g. Ramon 
mentioning "no signaling") is likely to face strong reluctance from the 
IESG.

Cheers,

Julien

---

From: JP Vasseur <[email-masked]>
Date: Thu, 9 Feb 2012 14:48:07 +0100

On Feb 9, 2012, at 2:40 PM, Julien Meuric wrote:

> Oscar (and others),
> 
> Your point is not clear to me. On the one hand, I understand you support having some work on stateful PCE, hence adding it to our charter. On the other hand, the current question is *not* on a charter update, but on adopting a particular I-D as a PCE WG document.
> Therefore, could elaborate on where you are standing? "Interesting solution, suited for some specific cases"  or "by no means the basis of the stateful PCE"?
> 
> Moreover, be aware that tackling stateful PCE does not imply addressing the full stateful PCE problem space. Note that the proposed draft comes with a contained scope. Trying to widen our charter too much (e.g. Ramon mentioning "no signaling") is likely to face strong reluctance from the IESG.
> 

I was about to comment along the exact same line. The question is indeed whether or not the WG supports the adoption of this ID as a WG, which of course implies that it is already part out of charter. The question of re-chartering is a different question that we could discuss during the PCE WG session in Paris.

Thanks.

JP.

---

From: Oscar González de Dios <[email-masked]>
Date: Thu, 09 Feb 2012 15:01:04 +0100

Hi J.P., Julien,

        You are right, together with the answer to the question whether or not the WG supports the adoption of this ID as a WG, we added our opinions about the matter.

        So... answer to the question is yes. I like the solution, and the scope of the draft.

        Beyond that... As this draft touches the stateful PCE topic, we all have more ideas about it and a wider scope. My opinion is that the scope of the stateful PCE is bigger than the scope of the draft. Thus, this draft is not all the basis of the stateful PCE (is a part of it). That is why I said it would be interesting for me to start discussing that, and make a good and complete foundation of the stateful PCE, covering several use cases.

        I hope I have clarified the position... both in the question and in the matter.

        Óscar

>-----Mensaje original-----
>De: JP Vasseur [mailto:[email-masked]]
>Enviado el: jueves, 09 de febrero de 2012 14:48
>Para: Julien Meuric; [email-masked]; Oscar González de Dios
>Asunto: Re: [Pce] Adopting draft-crabbe-pce-stateful-pce-02 as a PCE WG
>document
>
>
>solution, suited for some specific cases"  or "by no means the basis of the
>stateful PCE"?
>>
>> Moreover, be aware that tackling stateful PCE does not imply addressing the
>full stateful PCE problem space. Note that the proposed draft comes with a
>contained scope. Trying to widen our charter too much (e.g. Ramon
>mentioning "no signaling") is likely to face strong reluctance from the IESG.
>>
>
>I was about to comment along the exact same line. The question is indeed
>whether or not the WG supports the adoption of this ID as a WG, which of
>course implies that it is already part out of charter. The question of re-
>chartering is a different question that we could discuss during the PCE WG
>session in Paris.
>
>Thanks.
>
>JP.
>
>> Cheers,
>>
>> Julien
>>
>>
>>>         I also support the work in draft-crabbe-pce-stateful-pce-02 and share
>the main concerns. Although I do support the work, I think we should start
>scoping the stateful PCE, looking at the architecture, application scenarios and
>use cases from a broad perspective, with many inputs from service providers,
>vendors and data center users (which are having more and more network
>needs). This draft is a very particular interesting solution, suited for some
>specific cases, but by no means the basis of the stateful PCE. Furthermore, it
>looks weird to have a WG stateful PCE document without being the stateful
>PCE in the charter.
>>>
>>>         Thus, if everybody thinks that PCE is mature enough to start entering
>into more complex stuff, let's start building the basis of the stateful PCE. And
>then, have solutions for the different environments/use cases.
>>>
>>>         Óscar
>>>
>>> Este mensaje se dirige exclusivamente a su destinatario. Puede consultar
>nuestra política de envío y recepción de correo electrónico en el enlace
>situado más abajo.
>>> This message is intended exclusively for its addressee. We only send
>>> and receive email on the basis of the terms set out at

---

From: Shane Amante <[email-masked]>
Date: Thu, 9 Feb 2012 07:59:26 -0700

I support adoption of this draft by the WG.  In addition, I would be happy to provide reviews of the document as it progresses.

-shane